
package org.lym.pom.service;

import org.lym.pom.repository.mongo.Post;

import java.util.List;
import java.util.Set;

/**
 * 用户分享、状态、时刻记录 服务
 *
 * @author lym
 */
public interface PostService {

    /**
     * 添加时刻记录
     *
     * @param post 时刻记录对象
     * @return 添加后的时刻记录对象
     */
    Post addPost(Post post);

    /**
     * 删除时刻记录
     *
     * @param post 时刻记录对象
     */
    void removePost(String postId);

    // 查询推荐

    /**
     * 根据 id 查询单条时刻记录
     *
     * @param id 时刻记录 id
     * @return 时刻记录详情
     */
    Post queryPostDetail(String id);

    /**
     * 根据 id 集合查询多条时刻记录
     *
     * @param ids 时刻记录 id 集合
     * @return 时刻记录列表
     */
    List<Post> queryListByIds(Set<String> ids);
}